Skip to content

InventoryType⁠

Perform various operations for Symitar parameters.

Operations⁠

getInventoryTypeSelectFields⁠

POST

Execute the persistent ParameterService getInventoryTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryTypeInventoryTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryTypeSelectFields
POST /nexum/627/persistent/parameter/getInventoryTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryTypeInventoryType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllInventoryTypeFields": true,
    "InventoryTypeFields": {
      "AlternateDescription": true,
      "CommentCode": true,
      "Description": true,
      "ExpenseGlCode": true,
      "FeeGlCode": true,
      "IdDefault": true,
      "IncomeGlCode": true,
      "InventoryGlCode": true,
      "InventoryType": true,
      "MultiplePrompt": true,
      "NegotiableInstrumentTracking": true,
      "ScreenDefinitionType": true,
      "SerialNumberUsage": true,
      "SignificantDigits": true,
      "SummaryCommentCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getInventoryTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getInventoryTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInventoryTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getInventoryTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryTypeFields": true,
    "InventoryTypeFields": {
      "AlternateDescription": true,
      "CommentCode": true,
      "Description": true,
      "ExpenseGlCode": true,
      "FeeGlCode": true,
      "IdDefault": true,
      "IncomeGlCode": true,
      "InventoryGlCode": true,
      "InventoryType": true,
      "MultiplePrompt": true,
      "NegotiableInstrumentTracking": true,
      "ScreenDefinitionType": true,
      "SerialNumberUsage": true,
      "SignificantDigits": true,
      "SummaryCommentCode": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchInventoryTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchInventoryTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchInventoryTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchInventoryTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInventoryTypeFields": true,
    "InventoryTypeFields": {
      "AlternateDescription": true,
      "CommentCode": true,
      "Description": true,
      "ExpenseGlCode": true,
      "FeeGlCode": true,
      "IdDefault": true,
      "IncomeGlCode": true,
      "InventoryGlCode": true,
      "InventoryType": true,
      "MultiplePrompt": true,
      "NegotiableInstrumentTracking": true,
      "ScreenDefinitionType": true,
      "SerialNumberUsage": true,
      "SignificantDigits": true,
      "SummaryCommentCode": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateInventoryTypeByID⁠

POST

Execute the persistent ParameterService updateInventoryTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InventoryTypeInventoryTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateInventoryTypeByID
POST /nexum/627/persistent/parameter/updateInventoryTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InventoryTypeInventoryType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "InventoryTypeFields": {
    "AlternateDescription": "string",
    "CommentCode": 0,
    "Description": "string",
    "ExpenseGlCode": 0,
    "FeeGlCode": 0,
    "IdDefault": 0,
    "IncomeGlCode": 0,
    "InventoryGlCode": 0,
    "InventoryType": 0,
    "MultiplePrompt": 0,
    "NegotiableInstrumentTracking": true,
    "ScreenDefinitionType": 0,
    "SerialNumberUsage": 0,
    "SignificantDigits": 0,
    "SummaryCommentCode": 0
  },
  "nxAttributes": {
    "customFields": {}
  }
}